"""
Stop Zope from doing header field continuation (for Vary on compression) to
support broken early versions of Chrome.
"""

def appendHeader(self, name, value, delimiter=","):
        '''Append a value to a header.

        Sets an HTTP return header "name" with value "value",
        appending it following a comma if there was a previous value
        set for the header.

	Patched to avoid header field continuation, which was probably
	right except for certain client problems.
	'''
        name = str(name).lower()
        value = str(value)

        headers = self.headers
        if headers.has_key(name):
            h = headers[name]
            #h = "%s%s\n\t%s" % (h,delimiter,value)  # original approach
	    hvalues = h.split(delimiter)
            if value not in hvalues:
                hvalues.append(value)
            h = delimiter.join(hvalues)
        else:
            h = value
        self.setHeader(name,h)

from ZPublisher.HTTPResponse import HTTPResponse
HTTPResponse._old_appendHeader = HTTPResponse.appendHeader
HTTPResponse.appendHeader = appendHeader

def initialize(context):
    pass
